import java.util.*;
import java.io.*;

//import java.math.*;

public class army3_sp_wa implements Runnable {
	public static void main(String[] args) {
		new Thread(new army3_sp_wa()).start();
	}

	@Override
	public void run() {
		try {
			br = new BufferedReader(new FileReader(FNAME + ".in"));
			out = new PrintWriter(FNAME + ".out");
			solve();
			out.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;
	boolean eof = false;

	String nextToken() {
		while (st == null || !st.hasMoreTokens()) {
			try {
				st = new StringTokenizer(br.readLine());
			} catch (Exception e) {
				eof = true;
				return "0";
			}
		}
		return st.nextToken();
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	double nextDouble() {
		return Double.parseDouble(nextToken());
	}

	long nextLong() {
		return Long.parseLong(nextToken());
	}

	private final String FNAME = "army3";
	
	void solve() {
		int n = nextInt();
		int k = nextInt();
		int[] a = new int[n];
		for (int i = 0; i < n; i++) {
			a[i] = nextInt();
		}
		long sum = 0;
		for (int i = 0; i < k; i++) {
			sum += a[i];
		}
		int besti = 0;
		long bestsum = sum;
		for (int i = 1; i <= n - k; i++) {
			sum += a[i + k - 1] - a[i - 1];
			if (sum > bestsum) {
				besti = i;
				bestsum = sum;
			}
		}
		out.println(besti + 1);
	}
}
